Skip to main content
GET
/
traces
/
{trace_id}
/
spans
List trace spans
curl --request GET \
  --url https://api.example.com/traces/{trace_id}/spans \
  --header 'Authorization: Bearer <token>'
[
  {
    "otel_span_id": "<string>",
    "parent_otel_span_id": "<string>",
    "name": "<string>",
    "kind": "<string>",
    "start_time_ns": 123,
    "end_time_ns": 123,
    "duration_ms": 123,
    "status_code": "<string>",
    "status_description": "<string>",
    "input_tokens": 123,
    "output_tokens": 123,
    "model_name": "<string>",
    "tps": 123,
    "attributes": {},
    "events": [
      "<unknown>"
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

trace_id
string<uuid>
required

Trace identifier.

Response

Successful Response

otel_span_id
string | null
parent_otel_span_id
string | null
name
string | null
kind
string | null
start_time_ns
integer | null
end_time_ns
integer | null
duration_ms
number | null
status_code
string | null
status_description
string | null
input_tokens
integer | null
output_tokens
integer | null
model_name
string | null
tps
number | null
attributes
Attributes · object
events
any[] | null